﻿[id^=dataGridContainer] {
    --mc-row-color: var(--bs-gray-200);
    --mc-row-color-alternate: var(--bs-gray-300);
    --mc-row-color-hover: var(--bs-gray-600);
}
[id^=dataGridContainer] .dx-row.dx-header-row > td {
    padding: 15px 10px;
    font-size: 14px;
    line-height: 16px;
    font-weight: 500;
    color: #757575;
    color: #2f3e71;
}

    [id^=dataGridContainer] .dx-row-alt > td {
        --opacity: 0.2;
        background-color: rgb(from var(--mc-row-color-alternate) r g b / var(--opacity))
        /* background-color: #f3f8ff;
        color: #4c89dd !important;*/
    }

/*[id^=dataGridContainer] .dx-datagrid-headers .dx-datagrid-table .dx-row > td:hover:not(.dx-command-select):not(.dx-command-expand):not(.dx-editor-cell):not(.dx-command-edit):not(.dx-datagrid-group-space),
    [id^=dataGridContainer] .dx-treelist-headers .dx-treelist-table .dx-row > td:hover:not(.dx-command-select):not(.dx-command-expand):not(.dx-editor-cell):not(.dx-command-edit):not(.dx-datagrid-group-space)
[id^=dataGridContainer] .dx-row > td:hover:not(.dx-command-select):not(.dx-command-expand):not(.dx-editor-cell):not(.dx-command-edit):not(.dx-datagrid-group-space):not(.mc-icon-cell)*/
    [id^=dataGridContainer] .dx-row > td:hover {
        --opacity: 0.2;
        background-color: rgb(from var(--mc-row-color-hover) r g b / var(--opacity));
        font-weight: 500;
        /*background-color: #d1e4ff;
        color: #4a4a4a;*/
    }


    [id^=dataGridContainer] .dx-row:hover {
        --opacity: 0.2;
        background-color: rgb(from var(--mc-row-color-hover) r g b / var(--opacity));
        font-weight: 500;
        /*background-color: #d1e4ff;
        color: #4a4a4a;*/
    }

[id^=dataGridContainer] .dx-row .mc-icon-cell .dx-link {
    width: 18px;
    height: 18px;
    background-position: 0 0;
    background-size: 18px 18px;
    padding: 0;
    font-size: 18px;
    text-align: center;
    line-height: 18px;
    margin: 0 5px;
}

[id^=dataGridContainer] .dx-row .mc-icon-cell .dx-link {
    text-decoration: none;
}

[id^=dataGridContainer] .dx-row .mc-icon-cell .dx-link {
    display: inline-block;
}

[id^=dataGridContainer] .dx-link {
    color: var(--bs-primary);
}

[id^=dataGridContainer] .dx-bordered-top-view,
[id^=dataGridContainer] .dx-datagrid-borders > .dx-datagrid-rowsview,
[id^=dataGridContainer] .dx-treelist-borders > .dx-treelist-rowsview {
    border-top: 0px solid #e0e0e0 !important;
    border-left: 0px solid #e0e0e0 !important;
    border-right: 0px solid #e0e0e0 !important;
}

/*[id^=dataGridContainer] .dx-datagrid-borders > .dx-datagrid-headers,
    [id^=dataGridContainer] .dx-datagrid-borders > .dx-datagrid-rowsview,
    [id^=dataGridContainer] .dx-datagrid-borders > .dx-datagrid-total-footer,
    [id^=dataGridContainer] .dx-treelist-borders > .dx-treelist-headers,
    [id^=dataGridContainer] .dx-treelist-borders > .dx-treelist-rowsview,
    [id^=dataGridContainer] .dx-treelist-borders > .dx-treelist-total-footer {
        border-left: 0px solid #e0e0e0 !important;
        border-right: 0px solid #e0e0e0 !important;
        border-top: 0px solid #e0e0e0 !important;
    }*/




[id^=dataGridContainer] .dx-row > td {
    font-family: "Roboto";
    padding: 7px 10px;
    font-size: 13px;
    line-height: 16px;
    /*color: #757575;*/
    color: #395781;
    /*color: rgba(0,0,0,0.9);*/
    font-weight: 400;
}

    [id^=dataGridContainer] .dx-row > td .mc-table-item-1 {
        font-family: "Roboto";
        font-size: 13px;
        color: rgba(0,0,0,0.9);
        font-weight: 400;
    }

    [id^=dataGridContainer] .dx-row > td .mc-table-item-2 {
        font-family: "Roboto";
        font-size: 11px;
        color: rgba(0,0,0,0.8);
        font-weight: 400;
    }

    [id^=dataGridContainer] .dx-row > td .mc-table-item-3 {
        font-family: "Roboto";
        font-size: 9px;
        color: rgba(0,0,0,0.6);
        font-weight: 400;
    }

    [id^=dataGridContainer] .dx-row > td .mc-table-item-nullable:empty {
        display: none;
    }

    [id^=dataGridContainer] .dx-row > td .mc-table-item-nullable:has(span:empty) {
        display: none;
    }